Subject: Re: [PATCH v2 6/8] mv: unindent one level for directory move code

From: Junio C Hamano <[email-masked]>
Date: Tue, 12 Aug 2014 10:56:37 -0700

Duy Nguyen <[email-masked]> writes:

>> Otherwise, perhaps squash this in?
>
> Sure. But I'm having second thought about this series.
>
> mv.c is centered around files on worktree, which makes it pretty hard
> if we want to make it more like rm.c where index and worktree entries
> are treated more equally and pathspec is applied. Doing that in mv.c
> would require a lot more reorganization that makes this series
> obsolete.

Well, you may have started these as preparatory clean-up, but taken
alone these are purely making the result more readable without
changing any behaviour, so let's get them right first.

Thanks.